[PACKAGE]: ../../raw/master/mkp/checkpoint_raid-1.0.0-20230422.mkp "checkpoint_raid-1.0.0-20230422.mkp"
# RAID

Monitors status of Check Point RAID arrays

**Note: this check has ben renamed from checkpoint_soft_raid to checkpoint_raid**

---
### Check Info

* *service*: creates the service _RAID ID_ for each RAID volume with the volume ID as item
* *state*: **Critical** if raidVolumeState is not optimal or raidDiskState is not online
* *wato*: option to configure 'ignore disks'. For example on the Smart-1 5150 the array has 12 Disks, but only 6 Disks are in the default hardware.
* *perfdata*: none

Testetd with: 23800, 15600, Smart-1 5150 appliances

---
### Download

* [checkpoint_raid.mkp](https://thl-cmk.hopto.org/gitlab/checkmk/check-point/both/checkpoint_raid/-/raw/master/checkpoint_raid.mkp "Download the MKP file")

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install checkpoint_raid.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](/doc/sample.png "sample RAID check output (check details)")

WATO options

![WATO options](/doc/wato.png "WATO options")
